Bug 438302 - SELinux is preventing eject (hald_t) "getattr" to /dev/gpmctl (gpmctl_t).
SELinux is preventing eject (hald_t) "getattr" to /dev/gpmctl (gpmctl_t).
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-20 06:12 EDT by Matěj Cepl
Modified: 2013-03-05 22:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-20 09:24:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2008-03-20 06:12:21 EDT
Description of problem:

Summary:

SELinux is preventing eject (hald_t) "getattr" to /dev/gpmctl (gpmctl_t).

Detailed Description:

SELinux denied access requested by eject. It is not expected that this access is
required by eject and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

Sometimes labeling problems can cause SELinux denials. You could try to restore
the default system file context for /dev/gpmctl,

restorecon -v '/dev/gpmctl'

If this does not work, there is currently no automatic way to allow this access.
Instead, you can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:hald_t
Target Context                system_u:object_r:gpmctl_t
Target Objects                /dev/gpmctl [ sock_file ]
Source                        eject
Source Path                   /usr/sbin/eject
Port                          <Unknown>
Host                          hubmaier.ceplovi.cz
Source RPM Packages           eject-2.1.5-8.1.fc9
Target RPM Packages           
Policy RPM                    selinux-policy-3.3.1-19.fc9
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall_file
Host Name                     hubmaier.ceplovi.cz
Platform                      Linux hubmaier.ceplovi.cz
                              2.6.25-0.121.rc5.git4.fc9 #1 SMP Fri Mar 14
                              22:50:25 EDT 2008 x86_64 x86_64
Alert Count                   1
First Seen                    Thu 20 Mar 2008 11:01:57 CET
Last Seen                     Thu 20 Mar 2008 11:01:57 CET
Local ID                      661a690f-56c1-4c99-8a15-114cdac76a21
Line Numbers                  

Raw Audit Messages            

host=hubmaier.ceplovi.cz type=AVC msg=audit(1206007317.545:2556): avc:  denied 
{ getattr } for  pid=26701 comm="eject" path="/dev/gpmctl" dev=tmpfs ino=2354013
scontext=system_u:system_r:hald_t:s0 tcontext=system_u:object_r:gpmctl_t:s0
tclass=sock_file

host=hubmaier.ceplovi.cz type=SYSCALL msg=audit(1206007317.545:2556):
arch=c000003e syscall=262 success=no exit=-13 a0=3 a1=c55213 a2=7fffb29d9690
a3=0 items=0 ppid=26700 pid=26701 auid=4294967295 uid=0 gid=0 euid=0 suid=0
fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="eject"
exe="/usr/sbin/eject" subj=system_u:system_r:hald_t:s0 key=(null)

Version-Release number of selected component (if applicable):
hal-0.5.11-0.git20080304.4.fc9.x86_64
gpm-1.20.1-90.fc9.x86_64
selinux-policy-targeted-3.3.1-19.fc9.noarch
Comment 1 Daniel Walsh 2008-03-20 09:24:17 EDT
You can allow this for now by executing 

# audit2allow -M mypol -i /var/log/audit/audit.log 
# semodule -i mypol.pp

Will be dontaudited, so you can ignore.

Fixed in selinux-policy-3.3.22.fc9

Note You need to log in before you can comment on or make changes to this bug.